VOTEQUORUM_VOTES(3)

NAME
votequorum_setvotes - Sets the number of votes for a node

SYNOPSIS
#include <corosync/votequorum.h>

int votequorum_setexpected(votequorum_handle_t handle, unsigned int nodeid, int votes);

DESCRIPTION
The votequorum_setvotes is used to change the number of votes that a node has. Note that it is not possible, using this function, to change the number of node votes such that the cluster goes inquorate.

RETURN VALUE
This call returns the CS_OK value if successful, otherwise an error is returned.

ERRORS

CS_ERR_TRY_AGAIN Resource temporarily unavailable

CS_ERR_INVALID_PARAM Invalid argument

CS_ERR_ACCESS Permission denied

CS_ERR_LIBRARY The connection failed

CS_ERR_INTERRUPT System call interrupted by a signal

CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported

CS_ERR_MESSAGE_ERROR Incorrect auth message received

CS_ERR_NO_MEMORY Not enough memory to complete the requested task

SEE ALSO
votequorum_overview(3), votequorum_initialize(3), votequorum_finalize(3), votequorum_getinfo(3), votequorum_trackstart(3), votequorum_trackstop(3), votequorum_fd_get(3), votequorum_dispatch(3), votequorum_context_set(3), votequorum_context_get(3), votequorum_setexpected(3)